classification
Title: AMD64 Arch Linux VintageParser 3.9: test_fstring test_named_expressions test_unpack_ex failed
Type: Stage: resolved
Components: Tests Versions: Python 3.9
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: pablogsal, vstinner
Priority: normal Keywords: patch

Created on 2021-02-19 20:32 by vstinner, last changed 2021-02-20 02:12 by pablogsal. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 24591 merged pablogsal, 2021-02-20 00:29
Messages (4)
msg387350 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2021-02-19 20:32
AMD64 Arch Linux VintageParser 3.9:
https://buildbot.python.org/all/#/builders/495/builds/147

3 tests failed:
    test_fstring test_named_expressions test_unpack_ex

The latest success build was 4 months ago (Nov 2):
https://buildbot.python.org/all/#/builders/495/builds/107


**********************************************************************
File "/buildbot/buildarea/3.9.pablogsal-arch-x86_64.oldparser/build/Lib/test/test_unpack_ex.py", line ?, in test.test_unpack_ex.__test__.doctests
Failed example:
    (*x),y = 1, 2 # doctest:+ELLIPSIS
Expected:
    Traceback (most recent call last):
      ...
    SyntaxError: can't use starred expression here
Got nothing
**********************************************************************
File "/buildbot/buildarea/3.9.pablogsal-arch-x86_64.oldparser/build/Lib/test/test_unpack_ex.py", line ?, in test.test_unpack_ex.__test__.doctests
Failed example:
    (((*x))),y = 1, 2 # doctest:+ELLIPSIS
Expected:
    Traceback (most recent call last):
      ...
    SyntaxError: can't use starred expression here
Got nothing
**********************************************************************
File "/buildbot/buildarea/3.9.pablogsal-arch-x86_64.oldparser/build/Lib/test/test_unpack_ex.py", line ?, in test.test_unpack_ex.__test__.doctests
Failed example:
    z,(*x),y = 1, 2, 4 # doctest:+ELLIPSIS
Expected:
    Traceback (most recent call last):
      ...
    SyntaxError: can't use starred expression here
Got nothing
**********************************************************************
File "/buildbot/buildarea/3.9.pablogsal-arch-x86_64.oldparser/build/Lib/test/test_unpack_ex.py", line ?, in test.test_unpack_ex.__test__.doctests
Failed example:
    z,(*x) = 1, 2 # doctest:+ELLIPSIS
Expected:
    Traceback (most recent call last):
      ...
    SyntaxError: can't use starred expression here
Got nothing
**********************************************************************
File "/buildbot/buildarea/3.9.pablogsal-arch-x86_64.oldparser/build/Lib/test/test_unpack_ex.py", line ?, in test.test_unpack_ex.__test__.doctests
Failed example:
    ((*x),y) = 1, 2 # doctest:+ELLIPSIS
Expected:
    Traceback (most recent call last):
      ...
    SyntaxError: can't use starred expression here
Got nothing
**********************************************************************
1 items had failures:
   5 of  91 in test.test_unpack_ex.__test__.doctests


======================================================================
FAIL: test_named_expression_invalid_rebinding_set_comprehension_iteration_variable (test.test_named_expressions.NamedExpressionInvalidTest) (case='Local reuse')
----------------------------------------------------------------------
  File "<string>", line 1
    {i := 0 for i in range(5)}
       ^
SyntaxError: invalid syntax

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/buildbot/buildarea/3.9.pablogsal-arch-x86_64.oldparser/build/Lib/test/test_named_expressions.py", line 185, in test_named_expression_invalid_rebinding_set_comprehension_iteration_variable
    exec(code, {}, {})
AssertionError: "assignment expression cannot rebind comprehension iteration variable 'i'" does not match "invalid syntax (<string>, line 1)"

======================================================================
FAIL: test_named_expression_invalid_rebinding_set_comprehension_iteration_variable (test.test_named_expressions.NamedExpressionInvalidTest) (case='Unpacking reuse')
----------------------------------------------------------------------
  File "<string>", line 1
    {i := 0 for i, j in {(0, 1)}}
       ^
SyntaxError: invalid syntax

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/buildbot/buildarea/3.9.pablogsal-arch-x86_64.oldparser/build/Lib/test/test_named_expressions.py", line 185, in test_named_expression_invalid_rebinding_set_comprehension_iteration_variable
    exec(code, {}, {})
AssertionError: "assignment expression cannot rebind comprehension iteration variable 'i'" does not match "invalid syntax (<string>, line 1)"

======================================================================
FAIL: test_named_expression_invalid_set_comprehension_iterable_expression (test.test_named_expressions.NamedExpressionInvalidTest) (case='Inside list')
----------------------------------------------------------------------
  File "<string>", line 1
    {i for i in {2, 3, i := range(5)}}
                         ^
SyntaxError: invalid syntax

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/buildbot/buildarea/3.9.pablogsal-arch-x86_64.oldparser/build/Lib/test/test_named_expressions.py", line 218, in test_named_expression_invalid_set_comprehension_iterable_expression
    exec(code, {}) # Module scope
AssertionError: "assignment expression cannot be used in a comprehension iterable expression" does not match "invalid syntax (<string>, line 1)"


======================================================================
FAIL: test_ast_line_numbers_with_parentheses (test.test_fstring.TestCase)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/buildbot/buildarea/3.9.pablogsal-arch-x86_64.oldparser/build/Lib/test/test_fstring.py", line 377, in test_ast_line_numbers_with_parentheses
    self.assertEqual(call.lineno, 5)
AssertionError: 4 != 5
msg387380 - (view) Author: Pablo Galindo Salgado (pablogsal) * (Python committer) Date: 2021-02-20 01:36
New changeset f9d1bf2de07131a8d80bc1e4914ee534bc5effa4 by Pablo Galindo in branch '3.9':
[3.9] bpo-43272: Fix old parser test failures for backported grammar constructs (GH-24591)
https://github.com/python/cpython/commit/f9d1bf2de07131a8d80bc1e4914ee534bc5effa4
msg387382 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2021-02-20 01:41
Thanks for fixing this precioooooooouus buildbot worker.
msg387383 - (view) Author: Pablo Galindo Salgado (pablogsal) * (Python committer) Date: 2021-02-20 02:12
;)
History
Date User Action Args
2021-02-20 02:12:50pablogsalsetmessages: + msg387383
2021-02-20 01:41:59vstinnersetmessages: + msg387382
2021-02-20 01:36:21pablogsalsetmessages: + msg387380
2021-02-20 01:36:21pablogsalsetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2021-02-20 00:29:22pablogsalsetkeywords: + patch
nosy: + pablogsal

pull_requests: + pull_request23371
stage: patch review
2021-02-19 20:32:05vstinnercreate